- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - PrincipalsAlias
  - LimitToSystemInternalGroups
  - LimitToUserDefinedGroups
  - LimitToRolesForQueue QUEUE_ID
  - LimitToRolesForTicket Ticket_ID
  - LimitToRolesForSystem System_ID
  - WithMember {PrincipalId => PRINCIPAL_ID, Recursively => undef}
  - WithRight { Right => RIGHTNAME, Object => RT::Record, IncludeSystemRights => 1, IncludeSuperusers => 0, EquivObjects => [ ] }
  - LimitToEnabled
  - LimitToDeleted
  - NewItem

# NAME

      RT::Groups - a collection of RT::Group objects

# SYNOPSIS

      use RT::Groups;
      my $groups = RT::Groups->new($CurrentUser);
      $groups->UnLimit();
      while (my $group = $groups->Next()) {
         print $group->Id ." is a group id\n";
      }

# DESCRIPTION

# METHODS

## PrincipalsAlias

Returns the string that represents this Users object's primary "Principals" alias.

## LimitToSystemInternalGroups

Return only SystemInternal Groups, such as "privileged" "unprivileged" and "everyone"

## LimitToUserDefinedGroups

Return only UserDefined Groups

## LimitToRolesForQueue QUEUE_ID

Limits the set of groups found to role groups for queue QUEUE_ID

## LimitToRolesForTicket Ticket_ID

Limits the set of groups found to role groups for Ticket Ticket_ID

## LimitToRolesForSystem System_ID

Limits the set of groups found to role groups for System System_ID

## WithMember {PrincipalId => PRINCIPAL_ID, Recursively => undef}

Limits the set of groups returned to groups which have Principal PRINCIPAL_ID as a member. Returns the alias used for the join.

## WithRight { Right => RIGHTNAME, Object => RT::Record, IncludeSystemRights => 1, IncludeSuperusers => 0, EquivObjects => [ ] }

Find all groups which have RIGHTNAME for RT::Record. Optionally include global rights and superusers. By default, include the global rights, but not the superusers.

## LimitToEnabled

Only find items that haven't been disabled

## LimitToDeleted

Only find items that have been deleted.

## NewItem

Returns an empty new RT::Group item

← Back to index